dofile("scripts/entities/entityinclude.lua")

n = 0

n1 = 0
n2 = 0
n3 = 0

function init(me)
	n = getNaija()
	
	node_setCursorActivation(me, true)
	
	n1 = getNode("N1")
	
	-- monsters
	n2 = getNode("N2")
	n3 = getNode("N3")
end

function update(me, dt)
end

function activate(me)
	entity_idle(n)
	
	shakeCamera(0,0.001)
	
	fade(1,0)
	
	setCameraLerpDelay(0.0001)
	cam_toNode(n1)
	
	overrideZoom(0.7)
	
	overrideZoom(1, 12)
	
	fade(0, 4)
	watch(4)
	
	watch(4)
	
	fade(1, 4)
	watch(4)
	
	cam_toNode(n2)
	
	watch(2)
	
	shakeCamera(2, 200)
	
	fade(0, 0.1) watch(0.1)
	fade(1, 0.1) watch(0.1)
	fade(0, 0.1) watch(0.1)
	fade(1, 0.1) watch(0.1)
	watch(0.5)
	fade(0, 0.1) watch(0.1)
	watch(1)
	fade(1, 0.2) watch(0.2)
	
	
	cam_toNode(n3)
	
	
	fade(0, 0.1) watch(0.1)
	fade(1, 0.1) watch(0.1)
	fade(0, 0.1) watch(0.1)
	fade(1, 0.1) watch(0.1)
	watch(0.5)
	fade(0, 0.1) watch(0.1)
	watch(1)
	fade(1, 0.2) watch(0.2)
	
	
	setCameraLerpDelay(0)
	
	fade(0,1)
	cam_toEntity(n)
	shakeCamera(0,0.001)
	overrideZoom(0)
end

